Name:           libldm
Version:        0.2.4
Release:    1%{?dist}
Summary:        A tool to manage Windows dynamic disks

License:        LGPLv3+ and GPLv3+
URL:            https://github.com/mdbooth/libldm 
Source0:        https://github.com/mdbooth/libldm/archive/%{name}-%{version}.tar.gz

BuildRequires:  autoconf, automake, libtool
BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  json-glib-devel >= 0.14.0
BuildRequires:  device-mapper-devel >= 1.0
BuildRequires:  zlib-devel libuuid-devel readline-devel
BuildRequires:  gtk-doc
BuildRequires: make


%description
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted. It includes ldmtool, which
exposes this functionality as a command-line tool.

libldm is released under LGPLv3+. ldmtool is released under GPLv3+.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}
sed -i -e 's/-Werror //' src/Makefile.*
gtkdocize
autoreconf -i


%build
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags} V=1


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'




%files
%doc COPYING.lgpl COPYING.gpl
%{_libdir}/*.so.*
%{_bindir}/ldmtool
%{_mandir}/man1/ldmtool.1.gz


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/ldm-1.0.pc
%{_datadir}/gtk-doc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.4-1
- initial build
